GET/Activities/{activityId}/resources
Returns the procurement resources scheduled on an activity with their procurement, resource type,
collaborator, order lines, requests and schedule blocks. The id comes from Activities_GetActivities;
needs an event token and event basic access.
Path Parameters
| Field | Type | Required | Description |
|---|
| activityId | uuid | Required | |
Response
Type: GetActivityResourcesResponse[]
GetActivityResourcesResponse
| Field | Type | Description |
|---|
| id | uuid | |
| status | string| null | |
| quantity | number | |
| startDateTime | date-time| null | |
| endDateTime | date-time| null | |
| procurement | GetActivityResourcesResponseProcurementInfo | |
| type | GetActivityResourcesResponseResourceTypeInfo | |
| collaborator | GetActivityResourcesResponseCollaboratorInfo | |
| properties | GetActivityResourcesResponseProperty[]| null | |
| orderLines | GetActivityResourcesResponseOrderLine[]| null | |
| requests | GetActivityResourcesResponseRequest[]| null | |
| scheduleBlocks | GetActivityResourcesResponseScheduleBlock[]| null | |
GetActivityResourcesResponseProcurementInfo
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| description | string| null | |
| status | string| null | |
GetActivityResourcesResponseResourceTypeInfo
| Field | Type | Description |
|---|
| id | uuid | |
| label | string| null | |
| icon | string| null | |
| color | string| null | |
| lineItemLabel | string| null | |
GetActivityResourcesResponseCollaboratorInfo
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
GetActivityResourcesResponseProperty
| Field | Type | Description |
|---|
| id | uuid | |
| resourceAttributeId | uuid | |
| value | string| null | |
GetActivityResourcesResponseOrderLine
| Field | Type | Description |
|---|
| id | uuid | |
| orderId | uuid | |
| orderName | string| null | |
| quantity | number | |
GetActivityResourcesResponseRequest
| Field | Type | Description |
|---|
| id | uuid | |
GetActivityResourcesResponseScheduleBlock
| Field | Type | Description |
|---|
| id | uuid | |
| type | GetActivityResourcesResponseScheduleBlockScheduleBlockTypeInfo | |
| name | string| null | |
| startDateTime | date-time | |
| endDateTime | date-time | |
| activityId | uuid| null | |
| notes | string| null | |
| areaId | uuid| null | |
| collaboratorId | uuid| null | |
| requests | GetActivityResourcesResponseRequest[]| null | |
GetActivityResourcesResponseScheduleBlockScheduleBlockTypeInfo
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| color | string| null | |
| icon | string| null | |